/*
	'no-scroll'을 적용하기 위한 정의
*/
::=webkit-scrollbar {
	display: none;	/* safari 및 Chrome 등 Webkit 기반 브라우즈 */
}

html, body { margin: 0; padding: 0; height: 100%; }
html {
	scrollbar-width: none;	/* Firefox */
	-ms-overflow-style: none;	/* IE 10+ */
}

body { -ms-overflow-style: none; }


/*
	'fullscreen'에 반응하기 위한 정의
*/
html:fullscreen {
	.if-fullscreen { color: black; }
}
.if-fullscreen { color: #c0c0c0; }

/*
	공통적으로 사용하는 정의
*/

.bgimgDiv { position: absolute; left:0; top:0; right:0; bottom:0; overflow: hidden; }
.bgimgDiv img { width: 100%; height: 100%; object-fit: cover; opacity: 1; }

.bg-grad-0 { background: black; color: white; }
.bg-grad-1 { background: white; color: black; }
.bg-grad-2 { background: linear-gradient(#66b3ff, #e1f0ff); }
.bg-grad-3 { background: linear-gradient(#e1f0ff, #66b3ff); }
.bg-grad-4 { background: linear-gradient(90deg, #66b3ff, #e1f0ff); }
.bg-grad-5 { background: linear-gradient(90deg, #e1f0ff, #66b3ff); }
.bg-grad-6 { background: linear-gradient(45deg, #e1f0ff, #66b3ff); }
.bg-grad-7 { background: linear-gradient(45deg, #66b3ff, #e1f0ff); }
.bg-grad-8 { background: linear-gradient(135deg, #e1f0ff, #66b3ff); }
.bg-grad-9 { background: linear-gradient(135deg, #66b3ff, #e1f0ff); }


/*
	공통적으로 사용해야 할 정의
*/
@font-face {
	font-family: 'daum regular';
	src: url('/css/fonts/Daum_Regular.ttf') format("truetype");
}
@font-face {
	font-family: 'daum semibold';
	src: url('/css/fonts/Daum_SemiBold.ttf') format("truetype");
}

@font-face {
	font-family: 'NanumGothic';
	src: url('/css/fonts/NanumGothic.ttf') format("truetype"),
	src: url('/css/fonts/NanumGothic.woff') format("woff"),
	src: url('/css/fonts/NanumGothic.eot') format("embedded-opentype"),
	src: url('/css/fonts/NanumGothicd41d.eot') format("embedded-opentype");
}
@font-face {
	font-family: 'NanumPen';
	src: url('/css/fonts/NanumPen.ttf') format("truetype"),
	src: url('/css/fonts/NanumPen.eot') format("embedded-opentype")
}
@font-face {
	font-family: 'NanumBrush';
	src: url('/css/fonts/NanumBrush.ttf') format("truetype"),
	src: url('/css/fonts/NanumBrush.eot') format("embedded-opentype")
}

@font-face {
	font-family: 'Jeongnimsaji-B';
	src: url('/css/fonts/Jeongnimsaji-B.ttf') format("truetype")
}
@font-face {
	font-family: 'Jeongnimsaji-L';
	src: url('/css/fonts/Jeongnimsaji-L.ttf') format("truetype")
}
@font-face {
	font-family: 'Jeongnimsaji-M';
	src: url('/css/fonts/Jeongnimsaji-M.ttf') format("truetype")
}
@font-face {
	font-family: 'Jeongnimsaji-MV';
	src: url('/css/fonts/Jeongnimsaji-MV.ttf') format("truetype")
}

@font-face {
	font-family: 'GapyeongHanseokbongR';
	src: url('/css/fonts/GapyeongHanseokbongR.ttf') format("truetype")
}
@font-face {
	font-family: 'GapyeongHanseokbongL';
	src: url('/css/fonts/GapyeongHanseokbongL.ttf') format("truetype")
}
@font-face {
	font-family: 'GapyeongHanseokbongB';
	src: url('/css/fonts/GapyeongHanseokbongB.ttf') format("truetype")
}
@font-face {
	font-family: 'GapyeongWave';
	src: url('/css/fonts/GapyeongWave.ttf') format("truetype")
}
